Bug 206637 - www/firefox: Update to 44.0
Summary: www/firefox: Update to 44.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jan Beich
URL:
Keywords: needs-qa, patch, patch-ready
Depends on:
Blocks:
 
Reported: 2016-01-26 07:39 UTC by Christoph Moench-Tegeder
Modified: 2016-02-01 13:03 UTC (History)
1 user (show)

See Also:
koobs: maintainer-feedback+


Attachments
update firefox ports to 44 (41.83 KB, patch)
2016-01-26 07:39 UTC, Christoph Moench-Tegeder
no flags Details | Diff
poudriere testport log (209.99 KB, application/octet-stream)
2016-01-26 08:37 UTC, Christoph Moench-Tegeder
no flags Details
vuln.xml entry ready for pasting (xml fragment) (2.09 KB, text/xml)
2016-01-27 07:47 UTC, Christoph Moench-Tegeder
no flags Details
update firefox-esr to 38.6.0 (27.63 KB, patch)
2016-01-27 07:56 UTC, Christoph Moench-Tegeder
no flags Details | Diff
poudriere testport log for the esr variant (210.88 KB, application/octet-stream)
2016-01-27 07:56 UTC, Christoph Moench-Tegeder
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Christoph Moench-Tegeder freebsd_committer 2016-01-26 07:39:19 UTC
Created attachment 166136 [details]
update firefox ports to 44

firefox 44 is out - at least the source code is available as release, release notes will be up shortly.
Patch for www/firefox www/firefox-i18n www/linux-firefox attached, please note enclosed "svn status".
poudriere decided to kick of a full rebuild, that will take a moment - but I'm using 44-candidate2/3 for a few days without problems now.
Comment 1 Christoph Moench-Tegeder freebsd_committer 2016-01-26 08:37:37 UTC
Created attachment 166137 [details]
poudriere testport log
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2016-01-26 14:53:42 UTC
Thank you Christoph :)
Comment 3 Christoph Moench-Tegeder freebsd_committer 2016-01-26 17:22:06 UTC
Release Notes:
https://www.mozilla.org/en-US/firefox/44.0/releasenotes/
Security Information coming up later.
Comment 4 Christoph Moench-Tegeder freebsd_committer 2016-01-27 07:47:47 UTC
Created attachment 166174 [details]
vuln.xml entry ready for pasting (xml fragment)
Comment 5 Christoph Moench-Tegeder freebsd_committer 2016-01-27 07:56:00 UTC
Created attachment 166175 [details]
update firefox-esr to 38.6.0

additional patch: update www/firefox-esr www/firefox-esr-i18n to 38.6.0
Comment 6 Christoph Moench-Tegeder freebsd_committer 2016-01-27 07:56:34 UTC
Created attachment 166176 [details]
poudriere testport log for the esr variant
Comment 7 commit-hook freebsd_committer 2016-02-01 07:38:48 UTC
A commit references this bug:

Author: jbeich
Date: Mon Feb  1 07:37:59 UTC 2016
New revision: 407689
URL: https://svnweb.freebsd.org/changeset/ports/407689

Log:
  Document recent Mozilla vulnerabilities

  PR:		206637
  Submitted by:	Christoph Moench-Tegeder <cmt@burggraben.net>

Changes:
  head/security/vuxml/vuln.xml
Comment 8 commit-hook freebsd_committer 2016-02-01 11:30:09 UTC
A commit references this bug:

Author: jbeich
Date: Mon Feb  1 11:29:18 UTC 2016
New revision: 407707
URL: https://svnweb.freebsd.org/changeset/ports/407707

Log:
  www/firefox{,-esr}: update to 44.0/38.6.0

  - Raise required NSS version [1]

  Changes:	https://www.mozilla.org/firefox/44.0/releasenotes/
  PR:		206637
  Reported by:	Toomas Aas <toomas.aas@suhtlus.ee> [1]
  Submitted by:	Christoph Moench-Tegeder <cmt@burggraben.net>
  Security:	4f00dac0-1e18-4481-95af-7aaad63fd303
  MFH:		2016Q1

Changes:
  head/Mk/Uses/gecko.mk
  head/www/firefox/Makefile
  head/www/firefox/distinfo
  head/www/firefox/files/patch-bug1013882
  head/www/firefox/files/patch-bug1209410
  head/www/firefox/files/patch-z-bug517422
  head/www/firefox-esr/Makefile
  head/www/firefox-esr/distinfo
  head/www/firefox-esr-i18n/Makefile
  head/www/firefox-esr-i18n/distinfo
  head/www/firefox-i18n/Makefile
  head/www/firefox-i18n/distinfo
  head/www/libxul/Makefile
  head/www/libxul/distinfo
  head/www/linux-firefox/Makefile
  head/www/linux-firefox/distinfo
Comment 9 Jan Beich freebsd_committer 2016-02-01 11:32:33 UTC
Landed after fixing minor bugs e.g.,
- VuXML: PORTEPOCH is lost
- VuXML: add more affected ports
- VuXML: use MFSA links rather than repeating blockquote one
- VuXML: wrap long lines
- firefox: @@ patch-line offset noise
- firefox: lost or badly rebased hunks
- firefox: only lower NSS requirement for 2016Q1
- firefox: bump sqlite requirement
- libxul: apply all changes from firefox-esr

Note, if you want to drop broken system opus support this should be done consistently, starting from files/patch-z-bug517422 and Mk/bsd.gecko.mk. opus>=1.1 was commented out to not forget about version requirement.
Comment 10 Kubilay Kocak freebsd_committer freebsd_triage 2016-02-01 11:39:22 UTC
Assign to Committer that resolved, retain maintainer (group) on CC, set maintainer-feedback correctly (feedback provided)
Comment 11 commit-hook freebsd_committer 2016-02-01 13:03:17 UTC
A commit references this bug:

Author: jbeich
Date: Mon Feb  1 13:02:39 UTC 2016
New revision: 407714
URL: https://svnweb.freebsd.org/changeset/ports/407714

Log:
  MFH: r407707

  www/firefox{,-esr}: update to 44.0/38.6.0

  - Raise required NSS version [1]

  Changes:	https://www.mozilla.org/firefox/44.0/releasenotes/
  PR:		206637
  Reported by:	Toomas Aas <toomas.aas@suhtlus.ee> [1]
  Submitted by:	Christoph Moench-Tegeder <cmt@burggraben.net>
  Security:	4f00dac0-1e18-4481-95af-7aaad63fd303
  Approved by:	portmgr (erwin)

Changes:
_U  branches/2016Q1/
  branches/2016Q1/Mk/Uses/gecko.mk
  branches/2016Q1/www/firefox/Makefile
  branches/2016Q1/www/firefox/distinfo
  branches/2016Q1/www/firefox/files/patch-bug1013882
  branches/2016Q1/www/firefox/files/patch-bug1209410
  branches/2016Q1/www/firefox/files/patch-z-bug517422
  branches/2016Q1/www/firefox-esr/Makefile
  branches/2016Q1/www/firefox-esr/distinfo
  branches/2016Q1/www/firefox-esr-i18n/Makefile
  branches/2016Q1/www/firefox-esr-i18n/distinfo
  branches/2016Q1/www/firefox-i18n/Makefile
  branches/2016Q1/www/firefox-i18n/distinfo
  branches/2016Q1/www/libxul/Makefile
  branches/2016Q1/www/libxul/distinfo
  branches/2016Q1/www/linux-firefox/Makefile
  branches/2016Q1/www/linux-firefox/distinfo